> ## Documentation Index
> Fetch the complete documentation index at: https://docs.events.intrace.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Generated Reports

> List previously generated reports

Returns generated report metadata available in tenant scope.


## OpenAPI

````yaml get /v1/reports
openapi: 3.1.0
info:
  title: Intrace Events Monitoring API
  version: 0.1.0
  description: >
    External asset monitoring and event intelligence API derived from the
    internal

    Intrace events investigations platform.


    This public API is tenant-scoped by API key and intentionally does not
    expose

    internal identifiers such as case_id or investigation_id.
servers:
  - url: https://api.intrace.ai
security:
  - ApiKeyAuth: []
tags:
  - name: Assets
  - name: Threats
  - name: Incidents
  - name: Alerts
  - name: Reports
  - name: Event Intelligence
paths:
  /v1/reports:
    get:
      tags:
        - Reports
      summary: List generated reports
      operationId: listGeneratedReports
      responses:
        '200':
          description: Generated reports.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportListResponse'
components:
  schemas:
    ReportListResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ReportStatusResponse'
      required:
        - items
    ReportStatusResponse:
      type: object
      properties:
        report_id:
          type: string
          format: uuid
        status:
          type: string
        title:
          type: string
          nullable: true
        error_message:
          type: string
          nullable: true
      required:
        - report_id
        - status
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````